#
# Conditional build:
%bcond_with	rtas	# RTAS support (PowerPC)
#
%ifarch ppc ppc64
%define	with_rtas	1
%endif
Summary:	VPD/hardware inventory utilities for Linux
Summary(pl.UTF-8):	Narzędzia do inwentaryzacji VPD/sprzętu dla Linuksa
Name:		lsvpd
Version:	1.7.10
Release:	4
License:	GPL v2+ with librtas exception
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/linux-diag/%{name}-%{version}.tar.gz
# Source0-md5:	11c59a64c8c2d9ed691f900af32f3879
Source1:	vpdupdater.init
Source2:	vpdupdater.sysconfig
# from libvpd sources
Source3:	90-vpdupdate.rules
Patch0:		%{name}-nortas.patch
URL:		http://linux-diag.sourceforge.net/Lsvpd.html
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
%{?with_rtas:BuildRequires:	librtas-devel}
BuildRequires:	libstdc++-devel
BuildRequires:	libtool >= 2:2.0
BuildRequires:	libvpd-cxx-devel >= 2.2.6
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sg3_utils-devel
BuildRequires:	sqlite3-devel >= 3
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(post):	/sbin/ldconfig
Requires:	/lib/hwdata/pci.ids
Requires:	/lib/hwdata/usb.ids
Requires:	hwdata >= 0.243-5
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The lsvpd package contains both the lsvpd, lscfg and lsmcode commands.
These commands, along with a boot-time scanning script called
update-device-tree, constitute a simple hardware inventory system. The
lsvpd command provides Vital Product Data (VPD) about hardware
components to higher-level serviceability tools. The lscfg command
provides a more human-readable format of the VPD, as well as some
system-specific information. lsmcode lists microcode and firmware
levels.

%description -l pl.UTF-8
Pakiet lsvpd zawiera polecenia lsvpd, lscfg i lsmcode. Tworzą one,
wraz z uruchamianym przy starcie systemu skryptem update-device-tree,
prosty system inwentaryzacji sprzętu. Polecenie lsvpd dostarcza VPD
(Vital Product Data) o podzespołach sprzętowych dla narzędzi wyższego
poziomu. Polecenie lscfg dostarcza bardziej czytelną dla człowieka
postać VPD oraz trochę informacji specyficznych dla systemu. lsmcode
wypisuje poziomy mikrokodu i firmware'u.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
export CXXFLAGS="%{rpmcxxflags} -std=c++11"
%configure \
	%{!?with_rtas:ac_cv_lib_rtas_rtas_get_vpd=no}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -D -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/vpdupdater
install -D -p %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/vpdupdater
install -D -p %{SOURCE3} $RPM_BUILD_ROOT/lib/udev/rules.d/90-vpdupdate.rules

install -d $RPM_BUILD_ROOT/var/lib/lsvpd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add vpdupdater

%postun	-p /sbin/ldconfig

%preun
if [ "$1" = "0" ] ; then
	/sbin/chkconfig --del vpdupdater
fi

%triggerpostun -- lsvpd < 1.0.0
/sbin/chkconfig --del lsvpd

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING ChangeLog NEWS README
%attr(755,root,root) %{_sbindir}/lscfg
%attr(755,root,root) %{_sbindir}/lsmcode
%attr(755,root,root) %{_sbindir}/lsvio
%attr(755,root,root) %{_sbindir}/lsvpd
%attr(755,root,root) %{_sbindir}/vpdupdate
%dir %{_sysconfdir}/lsvpd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lsvpd/cpu_mod_conv.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lsvpd/nvme_templates.conf
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/lsvpd/scsi_templates.conf
%attr(754,root,root) /etc/rc.d/init.d/vpdupdater
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/vpdupdater
/lib/udev/rules.d/90-vpdupdate.rules
%dir /var/lib/lsvpd
%{_mandir}/man8/lscfg.8*
%{_mandir}/man8/lsmcode.8*
%{_mandir}/man8/lsvio.8*
%{_mandir}/man8/lsvpd.8*
%{_mandir}/man8/vpdupdate.8*
%changelog
* Thu Nov 25 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/lsvpd.git;a=log;h=master

* Thu Nov 25 2021 Jan Rękorajski <baggins@pld-linux.org> c874c7a
- does not build with C++17 standard, downgrade, rel 4

* Sat Nov 20 2021 Jan Rękorajski <baggins@pld-linux.org> 828ddd0
- rebuild with separate debuginfo build-ids

* Fri Apr 02 2021 Jan Palus <atler@pld-linux.org> 851498c
- sg3_utils rebuild
- release 2 (by relup.sh)

* Wed Mar 18 2020 Jakub Bogusz <qboosh@pld-linux.org> e4a77fc
- updated to 1.7.9

* Sun Sep 02 2018 Jakub Bogusz <qboosh@pld-linux.org> efb060d
- updated to 1.7.9
- libvpd 2.2.6 changed location of run.vpdupdate file to /run

* Sat Apr 15 2017 Jakub Bogusz <qboosh@pld-linux.org> e79df89
- updated to 1.7.8

* Tue Sep 06 2016 Jakub Bogusz <qboosh@pld-linux.org> f2da3df
- updated to 1.7.7

* Wed Mar 02 2016 Jakub Bogusz <qboosh@pld-linux.org> c3b6bd9
- updated to 1.7.6

* Thu Jul 02 2015 Jakub Bogusz <qboosh@pld-linux.org> c411a5e
- updated to 1.7.5
- updated nortas patch
- removed obsolete make patch
- added udev-based vpdupdate configuration from libvpd

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> aa56015
- BR: libvpd-cxx-devel

* Sun Mar 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 4cdb445
- updated to 1.7.0
- updated make patch
- adjusted for {pci,usb}.ids in hwdata

* Fri Sep 23 2011 Jakub Bogusz <qboosh@pld-linux.org> b1cb8d4
- updated to 1.6.11
- updated make patch
- added nortas patch to allow archs other than ppc

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7d6fa36
- updated usb.ids path in make patch
- require {pci,usb}.ids in expected location

* Tue May 03 2011 Jakub Bogusz <qboosh@pld-linux.org> 7a8d4c5
- updated to 1.6.10
- added PLD init script (previous one no longer present in sources)

* Sat Jun 28 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 25c075e
- release 4

* Sun Nov 18 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> a56e912
- rel 3

* Fri Oct 12 2007 Szymon Siwek <sls@pld-linux.org> 2af7402
- fixed building with db4.6

* Thu Jun 14 2007 Arkadiusz Miśkiewicz <arekm@maven.pl> d155a13
- rel 2

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 3ff35f2
- updated to 1.0.3
- added make patch, removed outdated gcc4 patch
- service name has been changed (lsvpd -> vpdupdater)

* Sun Feb 18 2007 Jakub Bogusz <qboosh@pld-linux.org> 909a98b
- paths and linking fixes

